%define version 0.2.1
Name:				freedups
Summary:			Hardlinks identical files to save space.
Version:			%{version}
Release:			0
Copyright:			GPL
Packager:			William Stearns <wstearns@pobox.com>
Group:				Applications/File
Source:				ftp://ftp.stearns.org/pub/freedups-%{version}.tar.gz
Prereq:				/usr/bin/find /bin/ls /bin/awk /bin/ln /usr/bin/diff /bin/grep /bin/sort /usr/bin/uniq /bin/mktemp
Buildarch:			noarch
Vendor:				William Stearns <wstearns@pobox.com>
URL:				http://www.stearns.org
BuildRoot:			/tmp/freedups-broot


%description
Freedups hardlinks identical files to save space.  This version should
be considered beta software.


%prep
%setup


%install
if [ "$RPM_BUILD_ROOT" = "/tmp/freedups-broot" ]; then
	rm -rf $RPM_BUILD_ROOT

	install -d $RPM_BUILD_ROOT/usr/bin
	cp -p freedups $RPM_BUILD_ROOT/usr/bin/freedups
else
	echo Invalid Build root
	exit 1
fi

						
%clean
if [ "$RPM_BUILD_ROOT" = "/tmp/freedups-broot" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Build root
	exit 1
fi


%files
%defattr(-,root,root)
%attr(755,root,root)			/usr/bin/freedups
				%doc	README ChangeLog


%changelog
* Fri Mar 02 2001 William Stearns <wstearns@pobox.com>
- Updated source to 0.2.1, minor specfile updates.

* Tue Feb 27 2001 William Stearns <wstearns@pobox.com>
- v0.2 First beta release for comment.
